"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var styles_1 = __importDefault(require("./styles"));
var AdjustableContainer = function (props) {
    var bottomInset = props.bottomInset, children = props.children, rnViewProps = props.rnViewProps;
    var styles = theme_1.useStyles(styles_1["default"]);
    var keyboardHeight = React.useRef(new react_native_1.Animated.Value(0)).current;
    React.useEffect(function () {
        if (react_native_1.Platform.OS === 'ios') {
            var keyboardWillShowListener_1 = react_native_1.Keyboard.addListener('keyboardWillShow', function (event) {
                react_native_1.Animated.timing(keyboardHeight, {
                    duration: 250,
                    toValue: event.endCoordinates.height - bottomInset,
                    useNativeDriver: false
                }).start();
            });
            var keyboardWillHideListener_1 = react_native_1.Keyboard.addListener('keyboardWillHide', function () {
                react_native_1.Animated.timing(keyboardHeight, {
                    duration: 250,
                    toValue: 0,
                    useNativeDriver: false
                }).start();
            });
            return function () {
                keyboardWillShowListener_1.remove();
                keyboardWillHideListener_1.remove();
            };
        }
        return undefined;
    }, [bottomInset, keyboardHeight]);
    if (react_native_1.Platform.OS === 'ios') {
        return (React.createElement(react_native_1.Animated.View, __assign({ style: [styles.container, { paddingBottom: keyboardHeight }] }, rnViewProps), children));
    }
    return (React.createElement(react_native_1.View, __assign({ style: styles.container }, rnViewProps), children));
};
exports["default"] = AdjustableContainer;
//# sourceMappingURL=index.js.map