"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var utils_1 = require("../../utils");
var Icon_1 = __importDefault(require("../Icon"));
var LinearGradient_1 = __importDefault(require("../LinearGradient"));
var Scalable_1 = __importDefault(require("../Scalable"));
var Text_1 = __importDefault(require("../Text"));
var styles_1 = __importDefault(require("./styles"));
var Button = function (props) {
    var _a = props.color, color = _a === void 0 ? 'primary' : _a, iconProps = props.iconProps, _b = props.isDisabled, isDisabled = _b === void 0 ? false : _b, _c = props.isLoading, isLoading = _c === void 0 ? false : _c, linearGradient = props.linearGradient, linearGradientProps = props.linearGradientProps, onPress = props.onPress, scalableProps = props.scalableProps, text = props.text, textProps = props.textProps;
    var styles = theme_1.useStyles(styles_1["default"]);
    var linearGradients = theme_1.useTheme().linearGradients;
    var mergedContainerStyles = React.useMemo(function () { return [
        styles.containerBase,
        styles["containerColor" + utils_1.capitalize(color)],
    ]; }, [color, styles]);
    var renderIcon = function () {
        if (!iconProps) {
            return null;
        }
        return (React.createElement(react_native_1.View, { style: styles.iconContainer },
            React.createElement(Icon_1["default"], __assign({ color: styles.icon.color, size: 18 }, iconProps))));
    };
    var renderContent = function () {
        if (isLoading) {
            return React.createElement(react_native_1.ActivityIndicator, null);
        }
        return (React.createElement(React.Fragment, null,
            renderIcon(),
            React.createElement(Text_1["default"], __assign({ color: "white", weight: "bold" }, textProps), text)));
    };
    if (linearGradient) {
        return (React.createElement(Scalable_1["default"], __assign({ onPress: onPress, isDisabled: isDisabled || !onPress }, scalableProps),
            React.createElement(LinearGradient_1["default"], __assign({ colors: linearGradients[linearGradient], style: styles.containerBase }, linearGradientProps), renderContent())));
    }
    return (React.createElement(Scalable_1["default"], __assign({ onPress: onPress, isDisabled: isDisabled || !onPress }, scalableProps),
        React.createElement(react_native_1.View, { style: mergedContainerStyles }, renderContent())));
};
exports["default"] = Button;
//# sourceMappingURL=index.js.map