import * as React from 'react';
import { GestureResponderEvent, ImageProps as RNImageProps } from 'react-native';
import { Props as ScalableProps } from '../Scalable';
import { Props as TextProps } from '../Text';
export interface Props {
    /**
     * Called when a single tap gesture is detected.
     */
    onPress: (event: GestureResponderEvent) => void;
    /**
     * A text in the ribbon.
     */
    ribbon?: string;
    /**
     * Text props of the ribbon.
     */
    ribbonTextProps?: Partial<TextProps>;
    /**
     * React Native's Image props.
     */
    rnImageProps: RNImageProps;
    /**
     * Scalable props.
     */
    scalableProps?: Partial<ScalableProps>;
    /**
     * A title of the card.
     */
    title: string;
    /**
     * Text props of the title.
     */
    titleTextProps?: Partial<TextProps>;
}
declare const Card: React.FunctionComponent<Props>;
export default Card;
