"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var LinearGradient_1 = __importDefault(require("../LinearGradient"));
var Scalable_1 = __importDefault(require("../Scalable"));
var Shadow_1 = __importDefault(require("../Shadow"));
var Text_1 = __importDefault(require("../Text"));
var styles_1 = __importDefault(require("./styles"));
var Card = function (props) {
    var onPress = props.onPress, ribbon = props.ribbon, ribbonTextProps = props.ribbonTextProps, rnImageProps = props.rnImageProps, scalableProps = props.scalableProps, title = props.title, titleTextProps = props.titleTextProps;
    var styles = theme_1.useStyles(styles_1["default"]);
    var linearGradients = theme_1.useTheme().linearGradients;
    var renderRibbon = function () {
        if (!ribbon) {
            return null;
        }
        return (React.createElement(react_native_1.View, { style: styles.ribbonContainer },
            React.createElement(Text_1["default"], __assign({ align: "center", color: "white", size: "small", weight: "bold" }, ribbonTextProps), ribbon)));
    };
    return (React.createElement(Scalable_1["default"], __assign({ onPress: onPress }, scalableProps),
        React.createElement(react_native_1.View, { style: styles.container },
            React.createElement(Shadow_1["default"], null,
                React.createElement(react_native_1.View, { style: styles.imageContainer },
                    React.createElement(react_native_1.Image, __assign({ resizeMode: "cover", style: styles.image }, rnImageProps)),
                    renderRibbon()),
                React.createElement(LinearGradient_1["default"], { colors: linearGradients.success, style: styles.linearGradient },
                    React.createElement(Text_1["default"], __assign({ color: "white", size: "large", weight: "bold" }, titleTextProps), title))))));
};
exports["default"] = Card;
//# sourceMappingURL=index.js.map