import * as React from 'react';
import { ViewProps as RNViewProps } from 'react-native';
export interface Props {
    children?: React.ReactNode;
    /**
     * If `true`, `alignItems: 'center'` style is applied. The default value is `true`.
     */
    horizontal?: boolean;
    /**
     * React Native's View props.
     */
    rnViewProps?: Partial<RNViewProps>;
    /**
     * If `true`, `alignSelf: 'center'` style is applied. The default value is `false`.
     */
    self?: boolean;
    /**
     * If `true`, `justifyContent: 'center'` style is applied. The default value is `true`.
     */
    vertical?: boolean;
}
declare const CenterContainer: React.FunctionComponent<Props>;
export default CenterContainer;
