"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var Icon_1 = __importDefault(require("../Icon"));
var Link_1 = __importDefault(require("../Link"));
var Text_1 = __importDefault(require("../Text"));
var Collapsible = function (props) {
    var content = props.content, iconProps = props.iconProps, title = props.title;
    var _a = __read(React.useState(true), 2), isCollapsed = _a[0], setIsCollapsed = _a[1];
    var opacity = React.useRef(new react_native_1.Animated.Value(0)).current;
    var uncollapsingAnimation = react_native_1.Animated.timing(opacity, {
        duration: 300,
        toValue: 1,
        useNativeDriver: true
    });
    var collapsingAnimation = react_native_1.Animated.timing(opacity, {
        duration: 300,
        toValue: 0,
        useNativeDriver: true
    });
    var handlePress = React.useCallback(function () {
        if (isCollapsed) {
            setIsCollapsed(false);
            uncollapsingAnimation.start();
        }
        else {
            collapsingAnimation.start(function () { return setIsCollapsed(true); });
        }
    }, [collapsingAnimation, isCollapsed, uncollapsingAnimation]);
    var renderContent = function () {
        if (isCollapsed) {
            return null;
        }
        return (React.createElement(react_native_1.Animated.View, { style: { opacity: opacity } },
            React.createElement(Text_1["default"], null, content)));
    };
    var textProps = React.useMemo(function () { return ({ size: 'large' }); }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(Link_1["default"], { onPress: handlePress, textProps: textProps },
            title,
            '\u00A0',
            React.createElement(Icon_1["default"], __assign({ color: theme_1.colors.success, iconSet: "MaterialCommunityIcons", name: isCollapsed ? 'chevron-down' : 'chevron-up', size: 16 }, iconProps))),
        renderContent()));
};
exports["default"] = Collapsible;
//# sourceMappingURL=index.js.map