import * as React from 'react';
import { GestureResponderEvent, ImageProps as RNImageProps } from 'react-native';
import { Props as RatingProps } from '../Rating';
import { Props as ScalableProps } from '../Scalable';
import { Props as TextProps } from '../Text';
export interface Props {
    /**
     * Text props of the label.
     */
    labelTextProps?: Partial<TextProps>;
    /**
     * An array of texts in the labels.
     */
    labels?: string[];
    /**
     * Called when a single tap gesture is detected.
     */
    onPress: (event: GestureResponderEvent) => void;
    /**
     * A value of the rating between 0 and 5.
     */
    rating?: number;
    /**
     * Rating props.
     */
    ratingProps?: Partial<RatingProps>;
    /**
     * A text in the ribbon.
     */
    ribbon?: string;
    /**
     * Text props of the ribbon.
     */
    ribbonTextProps?: Partial<TextProps>;
    /**
     * React Native's Image props.
     */
    rnImageProps: RNImageProps;
    /**
     * Scalable props.
     */
    scalableProps?: Partial<ScalableProps>;
    /**
     * A subtitle of the card.
     */
    subtitle: string;
    /**
     * Text props of the subtitle.
     */
    subtitleTextProps?: Partial<TextProps>;
    /**
     * A title of the card.
     */
    title: string;
    /**
     * Text props of the title.
     */
    titleTextProps?: Partial<TextProps>;
}
declare const ExtendedCard: React.FunctionComponent<Props>;
export default ExtendedCard;
