"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var Label_1 = __importDefault(require("../Label"));
var Padding_1 = __importDefault(require("../Padding"));
var Rating_1 = __importDefault(require("../Rating"));
var RowContainer_1 = __importDefault(require("../RowContainer"));
var Scalable_1 = __importDefault(require("../Scalable"));
var Shadow_1 = __importDefault(require("../Shadow"));
var Spacer_1 = __importDefault(require("../Spacer"));
var Text_1 = __importDefault(require("../Text"));
var styles_1 = __importDefault(require("./styles"));
var ExtendedCard = function (props) {
    var labels = props.labels, labelTextProps = props.labelTextProps, onPress = props.onPress, rating = props.rating, ratingProps = props.ratingProps, ribbon = props.ribbon, ribbonTextProps = props.ribbonTextProps, rnImageProps = props.rnImageProps, scalableProps = props.scalableProps, subtitle = props.subtitle, subtitleTextProps = props.subtitleTextProps, title = props.title, titleTextProps = props.titleTextProps;
    var styles = theme_1.useStyles(styles_1["default"]);
    var ratingIconProps = React.useMemo(function () { return ({ size: 18 }); }, []);
    var renderRating = function () {
        if (!rating) {
            return null;
        }
        return (React.createElement(react_native_1.View, { style: styles.ratingContainer },
            React.createElement(Rating_1["default"], __assign({ iconProps: ratingIconProps, value: rating }, ratingProps))));
    };
    var renderRibbon = function () {
        if (!ribbon) {
            return null;
        }
        return (React.createElement(react_native_1.View, { style: styles.ribbonContainer },
            React.createElement(Text_1["default"], __assign({ align: "center", color: "white", size: "small", weight: "bold" }, ribbonTextProps), ribbon)));
    };
    var renderLabels = function () {
        if (!labels) {
            return null;
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(Spacer_1["default"], { size: "small" }),
            React.createElement(RowContainer_1["default"], null, labels.map(function (label) { return (React.createElement(React.Fragment, { key: label },
                React.createElement(Label_1["default"], __assign({ color: "warning" }, labelTextProps), label),
                React.createElement(Spacer_1["default"], { size: "tiny" }))); }))));
    };
    return (React.createElement(Scalable_1["default"], __assign({ onPress: onPress }, scalableProps),
        React.createElement(react_native_1.View, { style: styles.container },
            React.createElement(Shadow_1["default"], null,
                React.createElement(react_native_1.View, { style: styles.imageContainer },
                    React.createElement(react_native_1.Image, __assign({ resizeMode: "cover", style: styles.image }, rnImageProps)),
                    renderRating(),
                    renderRibbon()),
                React.createElement(Padding_1["default"], null,
                    React.createElement(Text_1["default"], __assign({ color: "info", size: "large", weight: "bold" }, titleTextProps), title),
                    React.createElement(Text_1["default"], __assign({}, subtitleTextProps), subtitle),
                    renderLabels())))));
};
exports["default"] = ExtendedCard;
//# sourceMappingURL=index.js.map