import * as React from 'react';
import { ColorValue } from 'react-native';
export declare type IconSet = 'AntDesign' | 'Entypo' | 'EvilIcons' | 'Feather' | 'FontAwesome' | 'Fontisto' | 'Foundation' | 'Ionicons' | 'MaterialCommunityIcons' | 'MaterialIcons' | 'Octicons' | 'SimpleLineIcons' | 'Zocial';
export interface Props {
    /**
     * A color of the icon. The default value is dark - `#3d3d3d'`.
     */
    color?: ColorValue;
    /**
     * An icon set which should be used. The default value is `MaterialIcons`.
     */
    iconSet?: IconSet;
    /**
     * A name of the icon.
     */
    name: string;
    /**
     * A size of the icon. The default value is `24`.
     */
    size?: number;
}
declare const Icon: React.FunctionComponent<Props>;
export default Icon;
