import * as React from 'react';
import { GestureResponderEvent } from 'react-native';
import { Props as TextProps } from '../Text';
export interface Props {
    /**
     * An actual text or an Icon and a text.
     */
    children?: React.ReactNode | string;
    /**
     * If `true`, the link is not pressable and a disabled style is applied. The default value is `false`.
     */
    isDisabled?: boolean;
    /**
     * Called when a single tap gesture is detected.
     */
    onPress: (event: GestureResponderEvent) => void;
    /**
     * Text props.
     */
    textProps?: Partial<TextProps>;
}
declare const Link: React.FunctionComponent<Props>;
export default Link;
