import * as React from 'react';
import { ViewProps as RNViewProps } from 'react-native';
declare type Size = 'tiny' | 'small' | 'medium' | 'large' | 'huge' | 'gigantic';
export interface Props {
    /**
     * If `false`, the padding is not applied on the bottom. The default value is `true`.
     */
    bottom?: boolean;
    children?: React.ReactNode;
    /**
     * If `false`, the padding is not applied on the left. The default value is `true`.
     */
    left?: boolean;
    /**
     * If `false`, the padding is not applied on the right. The default value is `true`.
     */
    right?: boolean;
    /**
     * React Native's View props.
     */
    rnViewProps?: Partial<RNViewProps>;
    /**
     * A size of the padding. The default value is `large`.
     */
    size?: Size;
    /**
     * If `false`, the padding is not applied on the top. The default value is `true`.
     */
    top?: boolean;
}
declare const Padding: React.FunctionComponent<Props>;
export default Padding;
