import * as React from 'react';
import { ViewProps as RNViewProps } from 'react-native';
export interface Props {
    /**
     * A vertical alignment of the content. The default value is `center`.
     */
    align?: 'bottom' | 'center' | 'top';
    children?: React.ReactNode;
    /**
     * React Native's View props.
     */
    rnViewProps?: Partial<RNViewProps>;
    /**
     * Whether children can wrap around after they hit the end of the container. The default value
     * is `false`.
     */
    wrap?: true | false | 'reverse';
}
declare const RowContainer: React.FunctionComponent<Props>;
export default RowContainer;
