import * as React from 'react';
import { GestureResponderEvent, TouchableWithoutFeedbackProps } from 'react-native';
export interface Props {
    children: React.ReactNode;
    /**
     * If `true`, the scalable is not pressable. The default value is `false`.
     */
    isDisabled?: boolean;
    /**
     * Called when a single tap gesture is detected.
     */
    onPress: (event: GestureResponderEvent) => void;
    /**
     * React Native's TouchableWithoutFeedback props.
     */
    rnTouchableWithoutFeedbackProps?: Partial<TouchableWithoutFeedbackProps>;
    /**
     * A scale of the component when pressed. The default value is `0.95`.
     */
    scale?: number;
}
declare const Scalable: React.FunctionComponent<Props>;
export default Scalable;
