"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var use_debounce_1 = require("use-debounce");
var hitSlop = { bottom: 10, left: 10, right: 10, top: 10 };
var Scalable = function (props) {
    var children = props.children, _a = props.isDisabled, isDisabled = _a === void 0 ? false : _a, onPress = props.onPress, rnTouchableWithoutFeedbackProps = props.rnTouchableWithoutFeedbackProps, _b = props.scale, scale = _b === void 0 ? 0.95 : _b;
    var animatedValue = React.useRef(new react_native_1.Animated.Value(0)).current;
    var pressInAnimation = react_native_1.Animated.timing(animatedValue, {
        duration: 100,
        toValue: 1,
        useNativeDriver: true
    });
    var pressOutAnimation = react_native_1.Animated.timing(animatedValue, {
        duration: 100,
        toValue: 0,
        useNativeDriver: true
    });
    var interpolation = animatedValue.interpolate({
        inputRange: [0, 1],
        outputRange: [1, scale]
    });
    var handlePressDebounced = use_debounce_1.useDebouncedCallback(onPress, 500, {
        leading: true
    }).callback;
    var handlePressIn = React.useCallback(function () {
        pressInAnimation.start();
    }, [pressInAnimation]);
    var handlePressOut = React.useCallback(function () {
        pressOutAnimation.start();
    }, [pressOutAnimation]);
    return (React.createElement(react_native_1.TouchableWithoutFeedback, __assign({ disabled: isDisabled || !onPress, hitSlop: hitSlop, onPress: handlePressDebounced, onPressIn: handlePressIn, onPressOut: handlePressOut }, rnTouchableWithoutFeedbackProps),
        React.createElement(react_native_1.Animated.View, { style: {
                transform: [{ scale: interpolation }]
            } }, children)));
};
exports["default"] = Scalable;
//# sourceMappingURL=index.js.map