import * as React from 'react';
import { GestureResponderEvent, TextProps as RNTextProps } from 'react-native';
export interface Props {
    /**
     * An alignment of the text. The default value is `left`.
     */
    align?: 'center' | 'justify' | 'left' | 'right';
    /**
     * An actual text or an Icon and a text.
     */
    children?: React.ReactNode | string;
    /**
     * A color of the text. The default value is `dark`.
     */
    color?: 'black' | 'dark' | 'danger' | 'disabled' | 'info' | 'light' | 'muted' | 'primary' | 'success' | 'warning' | 'white';
    /**
     * Called when a single tap gesture is detected.
     */
    onPress?: (event: GestureResponderEvent) => void;
    /**
     * React Native's Text props.
     */
    rnTextProps?: Partial<RNTextProps>;
    /**
     * A size of the text. The default value is `medium`.
     */
    size?: 'huge' | 'large' | 'medium' | 'small' | 'tiny';
    /**
     * A style (decoration) of the text. The default value is `normal`.
     */
    style?: 'normal' | 'italic';
    /**
     * A weight of the text. The default value is `medium`.
     */
    weight?: 'bold' | 'medium';
}
declare const Text: React.FunctionComponent<Props>;
export default Text;
