"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var theme_1 = require("../../theme");
var styles_1 = __importDefault(require("./styles"));
var TextInput = React.forwardRef(function (props, ref) {
    var _a = props.hasError, hasError = _a === void 0 ? false : _a, _b = props.isDisabled, isDisabled = _b === void 0 ? false : _b, onBlur = props.onBlur, onChange = props.onChange, onFocus = props.onFocus, placeholder = props.placeholder, rnTextInputProps = props.rnTextInputProps, value = props.value;
    var styles = theme_1.useStyles(styles_1["default"]);
    var colors = theme_1.useTheme().colors;
    var _c = __read(React.useState(false), 2), isEditable = _c[0], setIsEditable = _c[1];
    var _d = __read(React.useState(false), 2), isFocused = _d[0], setIsFocused = _d[1];
    React.useEffect(function () {
        // there is a bug in RN which doesn't let you paste a text
        // https://github.com/facebook/react-native/issues/28366
        // https://github.com/facebook/react-native/issues/20887
        if (!isDisabled) {
            setIsEditable(true);
        }
    }, [isDisabled]);
    var handleFocus = React.useCallback(function (event) {
        setIsFocused(true);
        if (onFocus) {
            onFocus(event);
        }
    }, [onFocus, setIsFocused]);
    var handleBlur = React.useCallback(function (event) {
        setIsFocused(false);
        if (onBlur) {
            onBlur(event);
        }
    }, [onBlur, setIsFocused]);
    var mergedTextInputStyles = React.useMemo(function () {
        var result = [styles.textInput];
        if (isFocused) {
            result.push(styles.textInputFocused);
        }
        if (isDisabled) {
            result.push(styles.textInputDisabled);
        }
        if (hasError) {
            result.push(styles.textInputWithError);
        }
        return result;
    }, [hasError, isDisabled, isFocused, styles]);
    return (React.createElement(react_native_1.TextInput, __assign({ editable: !isDisabled && isEditable, onBlur: handleBlur, onChangeText: onChange, onFocus: handleFocus, placeholder: placeholder, placeholderTextColor: colors.disabled, ref: ref, style: mergedTextInputStyles, value: value }, rnTextInputProps)));
});
exports["default"] = TextInput;
//# sourceMappingURL=index.js.map