/// <reference types="react" />
import { Theme } from './defaultTheme';
declare type DeepPartial<T> = {
    [P in keyof T]?: DeepPartial<T[P]>;
};
export interface Props {
    /**
     * A custom theme object consisting of colors, linearGradients, radiuses, spacing and typography.
     */
    theme: DeepPartial<Theme>;
}
declare const ThemeProvider: (props: Props) => JSX.Element;
export default ThemeProvider;
